Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class Modifiers

    java.lang.Object
      javafe.ast.Modifiers

Direct Known Subclasses:
  Modifiers

public class Modifiers
extends java.lang.Object

`Modifiers` is a class defining the constants used to identify the different kinds of modifiers, and static methods to test for modifiers.

Field Summary
`static int` | `ACC_ABSTRACT`
`static int` | `ACC_FINAL`
`static int` | `ACC_NATIVE`
`static int` | `ACC_PRIVATE`
`static int` | `ACC_PROTECTED`
`static int` | `ACC_PUBLIC`
`static int` | `ACC_STATIC`
`static int` | `ACC_STRICT`
`static int` | `ACC_SYNCHRONIZED`
`static int` | `ACC_TRANSIENT`
`static int` | `ACC_VOLATILE`
`static int` | `ACCESS_MODIFIERS`
`static int` | `NONE`
`static int` | `SIZE_MODIFIER_BITSET`

Constructor Summary
`Modifiers()`

Method Summary
`static boolean` | `isAbstract(int modifiers)`
`static boolean` | `isFinal(int modifiers)`
`static boolean` | `isNative(int modifiers)`
`static boolean` | `isPackage(int modifiers)`
`static boolean` | `isPrivate(int modifiers)`
`static boolean` | `isProtected(int modifiers)`
`static boolean` | `isPublic(int modifiers)`
`static boolean` | `isStatic(int modifiers)`
`static boolean` | `isStrictFP(int modifiers)`
`static boolean` | `isSynchronized(int modifiers)`
`static boolean` | `isVolatile(int modifiers)`
`static java.lang.String` | `name(int modifierIndex)` Takes a modifier index (that is, the index of the bit that the "modifiers" field represents) and returns the corresponding Java keyword as a String.
`static java.lang.String` | `toString(int modifiers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### ACC_PUBLIC

    public static final int ACC_PUBLIC

See Also:
  Constant Field Values

### ACC_PRIVATE

    public static final int ACC_PRIVATE

See Also:
  Constant Field Values

### ACC_PROTECTED

    public static final int ACC_PROTECTED

See Also:
  Constant Field Values

### ACC_STATIC

    public static final int ACC_STATIC

See Also:
  Constant Field Values

### ACC_FINAL

    public static final int ACC_FINAL

See Also:
  Constant Field Values

### ACC_SYNCHRONIZED

    public static final int ACC_SYNCHRONIZED

See Also:
  Constant Field Values

### ACC_VOLATILE

    public static final int ACC_VOLATILE

See Also:
  Constant Field Values

### ACC_TRANSIENT

    public static final int ACC_TRANSIENT

See Also:
  Constant Field Values

### ACC_NATIVE

    public static final int ACC_NATIVE

See Also:
  Constant Field Values

### ACC_ABSTRACT

    public static final int ACC_ABSTRACT

See Also:
  Constant Field Values

### ACC_STRICT

    public static final int ACC_STRICT

See Also:
  Constant Field Values

### SIZE_MODIFIER_BITSET

    public static final int SIZE_MODIFIER_BITSET

See Also:
  Constant Field Values

### ACCESS_MODIFIERS

    public static final int ACCESS_MODIFIERS

See Also:
  Constant Field Values

Constructor Detail

### Modifiers

    public Modifiers()

Method Detail

### toString

    public static java.lang.String toString(int modifiers)

### name

    public static java.lang.String name(int modifierIndex)

  Takes a modifier index (that is, the index of the bit that the "modifiers" field represents) and returns the corresponding Java keyword as a String.

### isStrictFP

    public static boolean isStrictFP(int modifiers)

### isAbstract

    public static boolean isAbstract(int modifiers)

### isNative

    public static boolean isNative(int modifiers)

### isFinal

    public static boolean isFinal(int modifiers)

### isPrivate

    public static boolean isPrivate(int modifiers)

### isProtected

    public static boolean isProtected(int modifiers)

### isPublic

    public static boolean isPublic(int modifiers)

### isPackage

    public static boolean isPackage(int modifiers)

### isVolatile

    public static boolean isVolatile(int modifiers)

### isStatic

    public static boolean isStatic(int modifiers)

### isSynchronized

    public static boolean isSynchronized(int modifiers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage